# frozen_string_literal: true

require_relative "lib/tadabot/version"

Gem::Specification.new do |spec|
  spec.name          = "tadabot"
  spec.version       = Tadabot::VERSION
  spec.authors       = ["dfg007star"]
  spec.email         = ["lastfm4321@gmail.com"]

  spec.summary       = "Write a short summary, because RubyGems requires one."
  spec.description   = "Write a longer description or delete this line."
  spec.homepage      = "https://github.com/dfg007star/tadabot"
  spec.license       = "MIT"
  spec.required_ruby_version = ">= 2.4.0"

  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{\A(?:test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{\Aexe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 2.2"
  spec.add_development_dependency "faye-websocket", '~> 0.11.1'
  spec.add_development_dependency "eventmachine", "~> 1.2"
  spec.add_development_dependency "json", "~> 2.5"
  spec.add_development_dependency "httparty", "~> 0.18.1"
end